Bug 1258515 - jenkins: CSFR vulnerability allowing remote attacker to hijack authentication
jenkins: CSFR vulnerability allowing remote attacker to hijack authentication
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150828,repo...
: Security
Depends On: 1258520 1258522 1258523
Blocks: 1258518
  Show dependency treegraph
 
Reported: 2015-08-31 10:23 EDT by Adam Mariš
Modified: 2016-11-08 11:22 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 05:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-31 10:23:16 EDT
CSFR vulnerability in Jenkins 1.626 was found, allowing remote attackers to hijack the authentication of users for most requests. It can be exploited to change specific settings or execute code.

Report (includes reproducers):

http://seclists.org/bugtraq/2015/Aug/161
Comment 2 Adam Mariš 2015-08-31 10:29:09 EDT
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1258522]
Comment 3 Adam Mariš 2015-08-31 10:29:12 EDT
Created python-jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1258523]
Comment 6 Adam Mariš 2015-10-13 05:15:00 EDT
You're right! CSFR protection mitigates these attacks and according to upstream https://issues.jenkins-ci.org/browse/SECURITY-199 , this is not a bug. Closing as not a bug.

Note You need to log in before you can comment on or make changes to this bug.